using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using BankTV.Consts;
using BankTV.Logger;
using BankTV.Model;

namespace BankTV.Helpers
{
    class ModelHelper
    {

        public static Screen.ScreenType StringToScreenType(string typeToConvert)
        {
            if (String.IsNullOrEmpty(typeToConvert))
            {
                return Screen.ScreenType.UNKNOWN;
            }   //if
            if (typeToConvert == "IMG")
            {
                return Screen.ScreenType.IMG;
            }   //if
            if (typeToConvert == "MV")
            {
                return Screen.ScreenType.MV;
            }   //if
            if (typeToConvert == "NEWS")
            {
                return Screen.ScreenType.NEWS;
            }   //if
            if (typeToConvert == "PD")
            {
                return Screen.ScreenType.PD;
            }   //if
            if (typeToConvert == "SWF")
            {
                return Screen.ScreenType.SWF;
            }   //if
            return Screen.ScreenType.UNKNOWN;
        }
        
    }

}
